WinShopAPI docs
ReferenceProduct

Delete a product's building-material data

Removes the building-material attributes from the product and returns 204. Requires `Permissions.Product.Update`.

DELETE
/api/products/{productId}/building-material

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32

Response Body

response?unknownapplication/octet-stream
curl -X DELETE 'https://<your-instance>/api/products/0/building-material' \  -H 'Authorization: Bearer <access-token>'
null